%global momorel 1
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 32bfaf4de7ca62e0f612357f4aa065a9

Summary: An advanced twin-panel (commander-style) file-manager for KDE
Name: krusader
Version: 1.80.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://krusader.sourceforge.net/
Group: Applications/File
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-1.70.1-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: krename
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebindings-devel >= %{kdever}
BuildPreReq: desktop-file-utils
BuildPreReq: gamin-devel
BuildPreReq: gettext
BuildPreReq: libpng-devel
BuildPreReq: libxml2

%description
Krusader is an advanced twin-panel (commander-style) file-manager for KDE
(similar to Midnight or Total Commander) but with many extras.
It provides all the file-management features you could possibly want.
Plus: extensive archive handling, mounted filesystem support, FTP, advanced
search module, viewer/editor, directory synchronisation, file content
comparisons, powerful batch renaming and much much more.
It supports the following archive formats: tar, zip, bzip2, gzip, rar, ace,
arj and rpm and can handle other KIOSlaves such as smb:// or fish://
It is (almost) completely customizable, very user friendly, fast and looks
great on your desktop! :-)

You should give it a try.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/locolor/32x32/apps/krusader.png %{buildroot}%{_datadir}/pixmaps/krusader.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Application \
  --remove-category Utility \
  --add-category System \
  %{buildroot}%{_datadir}/applications/kde/krusader.desktop

desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category X-KDE-More \
  %{buildroot}%{_datadir}/applications/kde/krusader_root-mode.desktop

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in ru ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING CVSNEWS ChangeLog FAQ INSTALL README TODO
%{_bindir}/krusader
%{_libdir}/kde3/kio_iso.la
%{_libdir}/kde3/kio_iso.so
%{_libdir}/kde3/kio_krarc.la
%{_libdir}/kde3/kio_krarc.so
%{_libdir}/kde3/kio_virt.la
%{_libdir}/kde3/kio_virt.so
%{_datadir}/applications/kde/krusader.desktop
%{_datadir}/applications/kde/krusader_root-mode.desktop
%{_datadir}/apps/konqueror/servicemenus/isoservice.desktop
%{_datadir}/apps/krusader
%{_datadir}/config/kio_isorc
%{_datadir}/doc/HTML/*/krusader
%{_datadir}/icons/*/*/*/krusader*.png
%{_datadir}/locale/*/LC_MESSAGES/krusader.mo
%{_mandir}/man1/krusader.1*
%{_datadir}/pixmaps/krusader.png
%{_datadir}/services/iso.protocol
%{_datadir}/services/krarc.protocol
%{_datadir}/services/virt.protocol

%changelog
* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.80.0-1m)
- version 1.80.0

* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.80.0-0.2.1m)
- update to version 1.80.0-beta2
- remove merged gcc42.patch

* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.70.1-3m)
- remove Application from "Categories" of krusader.desktop

* Wed Mar 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.70.1-2m)
- add gcc-4.2 patch. (krusader-1.70.1-gcc42.patch)

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.70.1-1m)
- initial package for Momonga Linux
